<?php

namespace App\PartnerBalance\History;

class Corporate extends GeneralAbstract
{

	/**
	 *
	 * {@inheritDoc}
	 * @see \App\PartnerBalance\History\GeneralAbstract::setTableDetails()
	 */
	protected function setTableDetails()
	{
		global $DBTCorporatesBalanceHistory;
		$this->tableName = $DBTCorporatesBalanceHistory;
		$this->tableColumnIdEntity = 'idCorporate';
	}


	/**
	 * (non-PHPdoc)
	 * @see \App\PartnerBalance\History\GeneralAbstract::getDailyBalances()
	 */
	protected function getTransactions($initialDate, $finalDate, $selectForUpdate)
	{

		// gets the transactions for the chosen interval
		$transListObj = new \App\PartnerBalance\History\Transactions\Corporate($this->idEntity, $this->currency, $initialDate, $finalDate);

		$transListObj->setForUpdate($selectForUpdate);
		$transListObj->populateTransactions();
		$transList = $transListObj->getTransactionsList();

		return $transList;

	}



}